## compizconfig-backend-kconfig 0.8.4

=== CMakeLists.txt ===
if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    message (SEND_ERROR "Building in the source directory is not supported.")
    message (FATAL_ERROR "Please remove the created \"CMakeCache.txt\" file, the \"CMakeFiles\" directory and create a build directory and call \"${CMAKE_COMMAND} <path to the sources>\".")
endif ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")

if (CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION GREATER 5)
cmake_policy (VERSION 2.4)
cmake_policy(SET CMP0000 OLD)
cmake_policy(SET CMP0005 OLD)
endif (CMAKE_MAJOR_VERSION GREATER 2 OR CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION GREATER 5)

project (compizconfig-backend-kconfig4)

set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include (cmake/addons.cmake)

get_version ()

set (CMAKE_BUILD_TYPE "Debug")
add_subdirectory(src)

cf_print_configure_header ()

cf_add_package_generation ("CompizConfig KDE 4 storage backend")

=== src/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)
include(FindPkgConfig)
include(MacroLibrary)

pkg_check_modules(CCS REQUIRED libcompizconfig)

QT4_ADD_DBUS_INTERFACE( kconfig4_kwin_SRCS org.kde.KWin.xml kwin_interface )


link_directories(${CCS_LIBRARY_DIRS})
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} ${CCS_INCLUDE_DIRS})

set(kconfig4_LIB_SRCS kconfig_backend.cpp ${kconfig4_kwin_SRCS})

kde4_add_library(kconfig4 SHARED ${kconfig4_LIB_SRCS})

target_link_libraries(kconfig4 ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${CCS_LIBRARIES} X11)

install(TARGETS kconfig4 DESTINATION ${CCS_LIBDIR}/compizconfig/backends)

## compizconfig-backend-kconfig 0.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,4 +21,6 @@
 
 cf_print_configure_header ()
 
+compiz_add_uninstall ()
 cf_add_package_generation ("CompizConfig KDE 4 storage backend")
+compiz_add_git_dist ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,18 @@
 find_package(KDE4 REQUIRED)
+find_package (Compiz REQUIRED)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
 include(KDE4Defaults)
 include(FindPkgConfig)
 include(MacroLibrary)
+include(CompizCommon)
+include(CompizPackage)
+
+set (CMAKE_SKIP_RPATH FALSE)
+
+option (COMPIZ_BUILD_WITH_RPATH "Leave as ON unless building packages" ON)
+set (COMPIZ_DESTDIR ${COMPIZ_DESTDIR} CACHE STRING "Leave blank unless building packages")
 
 pkg_check_modules(CCS REQUIRED libcompizconfig)
 
@@ -20,4 +28,4 @@
 
 target_link_libraries(kconfig4 ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${CCS_LIBRARIES} X11)
 
-install(TARGETS kconfig4 DESTINATION ${CCS_LIBDIR}/compizconfig/backends)
+install(TARGETS kconfig4 DESTINATION ${COMPIZ_DESTDIR}${CCS_LIBDIR}/compizconfig/backends)

=== debian/changelog ===
compizconfig-backend-kconfig (0.9.2-0ubuntu1) natty; urgency=low

  * New upstream release: (LP: #559006)
    - Add kubuntu_01_fix_FTBFS.diff to work around an issue with upstream's
      FindCompiz cmake module.
  * Port packaging to KDE4:
    - Remove build-depend on cdbs
    - Add build-depend on pkg-kde-tools
    - Use dh short-style rules with the kde dh sequence
    - Remove build-dependency against inittool
    - Bump kdelibs4-dev build-depend to kdelibs5-dev
  * Bump debian/compat and the debhelper build-depend version to 8
  * Bump Standards-Version to 3.9.1
  * Switch to source format 3.0 (quilt)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 11 Jan 2011 13:46:12 -0500

compizconfig-backend-kconfig (0.8.2-0ubuntu1) jaunty; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 19:26:31 +0100

compizconfig-backend-kconfig (0.7.8-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Sep 2008 10:05:57 +0200

compizconfig-backend-kconfig (0.7.4-0ubuntu1) hardy; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 05 Apr 2008 12:56:08 +0200

compizconfig-backend-kconfig (0.7.2-0ubuntu1) hardy; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 15:06:14 +0100

compizconfig-backend-kconfig (0.6.99+git20071127-0ubuntu1) hardy; urgency=low

  * renamed to match debian name
  * new git HEAD snapshot
  * update build depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Nov 2007 20:03:35 +0100

libcompizconfig-backend-kconfig (0.0+git20070912-0ubuntu1) gutsy; urgency=low

  * new git snapshot based on 0.6 branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Aug 2007 16:25:52 +0200

libcompizconfig-backend-kconfig (0.0+git20070703-0ubuntu1) gutsy; urgency=low

  * initial git snapshot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jul 2007 15:15:49 +0200

=== debian/control ===
Source: compizconfig-backend-kconfig
Section: libs
Priority: extra
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0~), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, compiz-dev, libcompizconfig0-dev (>= 0.9.2)
Standards-Version: 3.9.1
XS-Vcs-Bzr:  http://bazaar.launchpad.net/~compiz/libcompizconfig-backend-kconfig/ubuntu

Package: compizconfig-backend-kconfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcompizconfig-backend-kconfig
Description: KConfig Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the KConfig (KDE) settings backend for
 libcompizconfig.

## compizconfig-backend-kconfig 0.9.2.1+git20110227.770eb464

=== debian/changelog ===
compizconfig-backend-kconfig (0.9.2.1+git20110227.770eb464-2) experimental; urgency=low

  * Add a Depends compiz-core-abiversion-${coreabiversion}
  * This package was conflicting with... itself?  Fixed.

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 21:37:38 +0100

compizconfig-backend-kconfig (0.9.2.1+git20110227.770eb464-1) experimental; urgency=low

  * /o\ Brown paper bag upload.
  * Fix package names in debian/control
  * Fix references to -kconfig4 in debian/changelog

 -- Sean Finney <seanius@debian.org>  Sun, 27 Feb 2011 16:59:06 +0100

compizconfig-backend-kconfig (0.9.2.1+git20110226.770eb464-1) experimental; urgency=low

  * Incorporate packaging work by Janos. Thanks!

 -- Sean Finney <seanius@debian.org>  Sun, 27 Feb 2011 11:22:51 +0000

compizconfig-backend-kconfig (0.9.2.1-1.1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstream release.
  * Rename package to compizconfig-backend-kconfig4.
  * Bump standards to 3.9.1.
  * Switch to dpkg format 3.0 (quilt)
  * Rewrite debian/rules to use debhelper 7.
  * Add debian/watch file.

 -- Janos Guljas <janos@resenje.org>  Mon, 15 Nov 2010 16:19:52 +0100

compizconfig-backend-kconfig (0.8.4-2) unstable; urgency=low

  * Add lintian override for the private libraries with defined rpath

 -- Sean Finney <seanius@debian.org>  Fri, 12 Feb 2010 19:29:15 +0100

compizconfig-backend-kconfig (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.
  * Remove patch force-link-against-lX11.patch, fixed upstream.

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 21:54:59 +0100

compizconfig-backend-kconfig (0.8.2~git20090205.82ea41ec-1) unstable; urgency=low
 
  * New upstream release.
  * Switch upstream source from kconfig to kconfig4 (KDE4 version).
  * Update debian/rules for new upstream (cmake) build system
  * Remove autoconf etc deps and replace them with cmake.
  * add build-depends and modify build system to use quilt
    - New force-link-against-lX11.patch: force linking with -lX11

 -- Sean Finney <seanius@debian.org>  Sun, 05 Apr 2009 22:39:07 +0200

compizconfig-backend-kconfig (0.7.6-1) unstable; urgency=low

  * New upstream release. 

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:50:25 +0200

compizconfig-backend-kconfig (0.7.4-2) unstable; urgency=low

  * Add build-deps on autoconf, automake1.9, and libtool

 -- Sean Finney <seanius@debian.org>  Tue, 20 May 2008 19:22:15 +0200

compizconfig-backend-kconfig (0.7.4-1) unstable; urgency=low

  * New upstream release 
  * Update build-depends from libcompizconfig0-dev to libcompizconfig-dev,
    and for libcompizconfig-dev and compiz-dev from >= 0.6.0 to >= 0.7.3.

 -- Sean Finney <seanius@debian.org>  Tue, 20 May 2008 07:25:49 +0200

compizconfig-backend-kconfig (0.6.0-2) unstable; urgency=low

  * Remove autoconf-generated content, and run it as part of the build
    process instead.

 -- Sean Finney <seanius@debian.org>  Sun, 25 Nov 2007 16:20:16 +0100

compizconfig-backend-kconfig (0.6.0-1) unstable; urgency=low

  * Initial release.

 -- Sean Finney <seanius@debian.org>  Sun, 11 Nov 2007 18:37:21 +0100

=== debian/control ===
Source: compizconfig-backend-kconfig
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, intltool, pkg-config, libtool,
 compiz-dev (>= 0.9), libcompizconfig-dev (>= 0.9), kdebase-workspace-dev
Standards-Version: 3.9.1
Section: x11
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/compizconfig-backend-kconfig4.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/compizconfig-backend-kconfig4.git

Package: compizconfig-backend-kconfig
Architecture: any
Depends: compiz-core-abiversion-${coreabiversion},
 ${shlibs:Depends}, ${misc:Depends}
Description: Compiz Fusion configuration system - kconfig backend
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness.
 .
 This package provides the kconfig-based (kde) configuration backend for the 
 compiz-fusion plugin system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compizconfig-backend-kconfig4-([\d\.]+)\.tar\.gz
